cpu_family(3)

NAME
cpu_family

SYNOPSIS
#include <allegro.h>

extern int cpu_family;

DESCRIPTION
Contains the Intel CPU type, where applicable: 3=386, 4=486, 5=Pentium, 6=PPro, etc. You can read this variable after you have called check_cpu() (which is automatically called by allegro_init()).

SEE ALSO
check_cpu(3), cpu_vendor(3), cpu_model(3), cpu_capabilities(3), allegro_init(3)